Get My Consents Info
GET /obp/v7.0.0/my/consent-infos
OBPv4.0.0-getConsentInfos No role required ConsentAccount Information Service (AIS)PSD2
This endpoint gets the Consents that the current User created.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (9)
- api_standard
- api_standard
- api_version
- consent_id
- 9d429899-24f5-42c8-8565-943ffa6a7947
- consents
- consumer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- created_by_user_id
- last_action_date
- last_action_date
- last_usage_date
- last_usage_date
- status
Example success response
{
"consents": [
{
"consent_id": "9d429899-24f5-42c8-8565-943ffa6a7945",
"consumer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"created_by_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"last_action_date": "2020-01-27",
"last_usage_date": "2021-04-08T09:12:27Z",
"status": "INITIATED",
"api_standard": "Berlin Group",
"api_version": "v1.3"
}
]
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-50000: Unknown Error.